Bug 198403 - Package procmail lacks IPv6 support
Summary: Package procmail lacks IPv6 support
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: procmail   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: IPv6Blocker
TreeView+ depends on / blocked
 
Reported: 2006-07-11 10:27 UTC by Peter Vrabec
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-27 13:37:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to remove IPv4 specific code, replacing with getaddrinfo (8.14 KB, patch)
2006-07-13 12:56 UTC, Jan Pazdziora
no flags Details | Diff

Description Peter Vrabec 2006-07-11 10:27:43 UTC
This bug was reported automaticaly in connection with IPv6 project.
Our aim is to support IPv6 in all Fedora Core packages so FC6 and RHEL5 will be ready for IPv6.
			
This package seems to lack IPv6 support as is illustrated in attached log.
	
Here follows part of scanning log (grep -r F_INET *)/up to 30 lines: 

/procmail-3.22/src/comsat.c:77:     newaddr.sin_family=AF_INET;
/procmail-3.22/src/comsat.c:135:  if((s=socket(AF_INET,SOCK_DGRAM,UDP_protocolno))>=0)
/procmail-3.22/src/network.h:3:#include <sys/socket.h>			/* socket() sendto() AF_INET

Comment 1 Jan Pazdziora 2006-07-13 12:56:57 UTC
Created attachment 132366 [details]
Patch to remove IPv4 specific code, replacing with getaddrinfo

Please note that the code will only use the first record returned by
getaddrinfo. So if the subsequent socket fails, we do not retry. This is not
worse than it was in the original code with getservbyname, so not a big
problem, IMHO. Should all records be tries, bigger changes to the logic of the
code would be needed.

The code was not tested beyond compile.

Comment 2 Miroslav Lichvar 2006-10-27 13:37:10 UTC
Patch accepted with some modifications. Thanks.


Note You need to log in before you can comment on or make changes to this bug.